# Ogre::Codec::CodecData Class Reference

`#include <OgreCodec.h>`

Inheritance diagram for Ogre::Codec::CodecData:

List of all members.

## Public Member Functions

virtual | ~CodecData ()
virtual String | dataType () const
| Returns the type of the data.

## Constructor & Destructor Documentation

virtual Ogre::Codec::CodecData::~CodecData | ( |  | ) | `[virtual]`

| Definition at line 55 of file OgreCodec.h.

## Member Function Documentation

virtual String Ogre::Codec::CodecData::dataType | ( |  | ) | const`[virtual]`

| Returns the type of the data. Reimplemented in Ogre::ImageCodec::ImageData. Definition at line 59 of file OgreCodec.h. References Ogre::String.

The documentation for this class was generated from the following file:

- OgreCodec.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:30 2005